# Filters

$Control = {
    $Events = Get-WinEvent -LogName Application -ErrorAction SilentlyContinue |
        where {$_.Id -eq 16384 -and $_.TimeCreated -ge (Get-Date).AddHours(-1)}
}

$Variation = {
    $Events = Get-WinEvent -FilterHashTable @{
        LogName   = 'Application'
        Id        = 16384
        StartTime = (Get-Date).AddHours(-1)
    } -ErrorAction SilentlyContinue
}

Measure-Command { 1..5 | % $Control}
Measure-Command { 1..5 | % $Variation}