# Single or 2

$Control = {
    $AppEvents = Get-WinEvent -FilterHashTable @{
        LogName = 'Application'
        Id      = 16384
    } -ErrorAction SilentlyContinue

    $SysEvents = Get-WinEvent -FilterHashTable @{
        LogName = 'System'
        Id      = 7001
    } -ErrorAction SilentlyContinue
}

$Variation = {
    $Events = Get-WinEvent -FilterHashTable @{
        LogName = 'Application', 'System'
        Id      = 16384, 7001
    } -ErrorAction SilentlyContinue

    $AppEvents = $Events.where({$_.LogName -eq 'Application'})

    $SysEvents = $Events.where({$_.LogName -eq 'System'})
}

Measure-Command { 1..100 | % $Control}
Measure-Command { 1..100 | % $Variation}