
# Get a (PoshRS)Job!

$Control = {
    $Targets = @('8.8.8.8','8.8.4.4','9.9.9.9','stuff.co.nz')

    foreach ($Target in $Targets) {
        $Response = Test-Connection -ComputerName $Target -Count 2 -Quiet

        [PSCustomObject] @{
            Host = $Target
            Online = $Response
        }
    }
}

$Variation = {
    $Targets = @('8.8.8.8','8.8.4.4','9.9.9.9','stuff.co.nz')

    $Targets | Start-RSJob -Name {$_} -ScriptBlock {
        $Response = Test-Connection -ComputerName $_ -Count 2 -Quiet

        [PSCustomObject] @{
            Host = $_
            Online = $Response
        }
    } | Wait-RSJob | Receive-RSJob
    Remove-RSJob
}

Measure-Command { 1..5 | % $Control}
Measure-Command { 1..5 | % $Variation}